 html, body {
	overflow: hidden;
	width: 100%;
	height: 100dvh;
	margin: 0;
	padding: 0;
	display:block;
	background-color:#333;
	font-weight: 200;
	font-family: "Open Sans", "PT Sans", sans-serif;
}

li {
	font-weight: 200;
	font-family: "Open Sans", "PT Sans", sans-serif;
}

.boldText {
	font-weight: 400;
}

/*bootstrap buttons*/
.btn { font-weight: 200;}

.form-control {font-weight: 200;}

/*flex-wrap layout for viewing list as images*/
.flex-container {
	/* display:flex is set inside main.js*/
	flex-wrap: wrap;
	/*align-content: stretch;*/
	align-content: flex-start;
  }

  .flex-container > div {
	/*height: 62px;*/
	margin-right: 2px;
	margin-bottom: 2px;
	/*margin-right: 5px;
	margin-bottom: 5px;*/
	/*text-align: center;*/
	/*line-height: 60px;*/
	/*font-size: 30px;*/
  }

  /*list item in image list*/
  .imgListItem {
	  height: 60px;
  }


#loadingScreen {
    position: fixed;
	left: 0px;
	top: 0px;
	width: 100%;
	background: #EEE;
	z-index:500;
	padding:12px;
}

#renderCanvas {
	width: 100%;
	/*height: 100%;*/
	height: 100dvh;
	touch-action: none;
}

.jumbotron{
	background-color:#2E2D88;
	color:white;
	margin-bottom:0px;
	padding: 0.4em;
}

.navbar{
	position:absolute;
	opacity:0.85;
	margin-left:8px;
	left: 2vw;
	top: 2vh;
	padding: 0 0 0 0;
	/*z-index to prevent buttons from disappearing*/
	z-index: 100;
}



/*general tab setting: for scrolling*/
.tab-pane {
	/*
	height:91vh;
	width:100%;*
	*/
  }

.dropdown-item{
	font-size: 10pt;
}

/* main content / sidebar */
/*remove spacing left of sidebar*/
.col, .col-md-4, .col-lg-3 {
	padding-right:0px;
	padding-left:0px;
}

#colSidebar {
	height: 100dvh;
	background-color: white;
	overflow-y: auto;
}

/* <ul> list with objects in the scene, possible to filter. Uses func. filterObjects() */
#objectList {
	height: 100dvh;
	width: 100%;
}

#objectListAsImages {
	height: 100dvh;
	width: 100%;
	/* make image list only visible upon request */
	display: none;
}

#buttonDisplayItemListAsTextualList {
	cursor: pointer;
}

#buttonDisplayItemListAsImages {
	cursor: pointer;
}

/*button to activate polygon view of data, only visible if wkt data is available*/
#buttonDataLayer2 {
	display: none;
}

.card {
	font-size: 10pt;
	border-width: 0pt;
}

.card-title {
	font-size: 13pt;
	font-weight: 300;
	margin-bottom: 1rem;
}

.card-body {
	padding-top:3vh;
	padding-bottom:0rem;
}

.card-img {
	margin-top: 3vh;
	margin-bottom: 0;
	width: 85%;
}

.card-img-caption {
	margin-top: 1vh;
}

.general-tab-text {
	margin-left: 1.25rem;
	margin-right: 1.25rem;
}

.general-tab-title {
	margin-top: 1.25rem;
	margin-left: 1.25rem;
	margin-right: 1.25rem;
}

/* clickable images, for modal popup enlargement */
img {
    cursor: pointer;
}

/*progress bar bg color*/
.bg-gray {
	background-color: #aebac0;
}


/* remove unwanted grey line */
/*
.list-group-flush > .list-group-item {
    border-width: 0 0 0px;
}
*/


.list-group-item {
	border-width: 0pt;
	margin: 0 0 0 0;
	padding-top: 2vh;
	padding-left: 0px;
	padding-right: 0px;
	padding-bottom: 0;
}

#buttonAnnotationGeneral {
	margin-top: 0.6rem;
}

#buttonAnnotationObject {
	/*margin-top: 0.6rem;*/
}

#tabObjectList {
	display: none;
}

#tabObject {
	display: none;
}

#tabObjectContent {
	height: 100dvh;
}

/*remove dropdown toggle in dropdown menus*/
.caret-off::before {
    display: none;
}
.caret-off::after {
    display: none;
}
/*specific margin for button icons*/
.menu-icon-styling {
	margin-left:3px;
}

/*style for lists (only in use for list of objects on a floor at the moment*/
#objectList ul {
	margin-left: 0px;
	margin-top: 5px;
	padding-left:0px;
	list-style: none;
}

  #alertFilterActive {
	  display: none;
	  z-index:200;
  }

/* alert field indicating a (textual or video) filter is active */
.alert-button {
	padding-top: 4px;
    padding-bottom: 3px;
    padding-left: 8px;
    padding-right: 8px;
    font-size: 10pt;
	margin-bottom:0px;
	border-radius: 4px;
    background-color: #79c6ae;
    border-color: black;
    color: black;
    font-weight: 400;
	display: none;
	position: absolute;
	top: 2vh;
	right: 2vw;
}

  #buttonGroupYearDisplay {
	  display:none;
  }

/*** openlayers map styling ***/
  .map {
	width: 100%;
	height: 100dvh;
  }

  .tilelayer {
	filter: saturate(30%);
  }

/* slider container */
  .timeslidercontainer {
	width: 100%; /* Width of the outside container */
  }

/* slider itself */
.timeslider {
	position:absolute;
	opacity:0.85;
	left:3vw;
	/*margin-top:56px;*/
	bottom:2vh;
	z-index:200;
	border-radius: 2px;
	display: block;
	/*-webkit-appearance: none;*/  /* Override default CSS styles */
	/*appearance: none;*/
	width: 92%; /* Full-width */
	height: 28px; /* Specified height */
	background: #666; /* Grey background */
	outline: none; /* Remove outline */
	opacity: 0.7; /* Set transparency (for mouse-over effects on hover) */
	-webkit-transition: .2s; /* 0.2 seconds transition on hover */
	transition: opacity .2s;
  }
  
  /* Mouse-over effects */
  .timeslider:hover {
	opacity: 1; /* Fully shown on mouse-over */
  }
  
  /* The slider handle (use -webkit- (Chrome, Opera, Safari, Edge) and -moz- (Firefox) to override default look) */
  .timeslider::-webkit-slider-thumb {
	-webkit-appearance: none; /* Override default look */
	appearance: none;
	width: 75px; /* Set a specific slider handle width */
	height: 25px; /* Slider handle height */
	background:#4D6F91; /* white background */
	cursor: pointer; /* Cursor on hover */
  }
  
  .timeslider::-moz-range-thumb {
	width: 75px; /* Set a specific slider handle width */
	height: 25px; /* Slider handle height */
	background: #4D6F91; /* white background */
	cursor: pointer; /* Cursor on hover */
  }


/*sidebar navigation (icons) right-hand side [][][X] */
#colSidebarNav {
	background-color: #4D6F91;
	padding-left: 3vh;
}

/* <ul> list with objects in the scene, possible to filter. Uses func. filterObjects() */
#objectList {
	width: 100%;
}

/* button to hide sidebar, align at bottom */
#toggleSidebarHiddenTab {
	position:absolute; 
	bottom:3vh;
}

/*tabs (look like pills) [][X][]*/
.nav-tabs {
	margin-top:2vh;
	margin-bottom:2vh;
	font-weight: 300;
	background-color: #fff;
	/*override bottom border*/
	border-bottom-width: 0px;
}

/*tabs, right side*/
.nav-link {
    display: block;
    padding: .26rem 1.15vw;
    /* margin-left: 0.2vw; */
    font-size: 2rem;
    text-align: center;
    margin-left: -3vh;
}

a.nav-link:hover {
	color: #79c6ae;
}

/*tab display [][X][] overrides, do not show border*/
.nav-tabs .nav-link {
	/*border-bottom-color: #eee;*/
	border:0px solid transparent;
	border-radius: .25rem;
	font-size: 10pt;
	margin-left: 0px;
	padding-left: 0.6vw; 
	padding-right: 0.6vw;
	color: #1c4670;
}

/*override default bg color and font color for selected nav-pills*/
/*selected tab [][][X]*/
.nav-pills .nav-link.active, .nav-pills .show { /*> .nav-link {*/
	background-color: #fff;
	color:#4D6F91;
	border-radius: 0px 4px 4px 0px !important;
}

.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
	background-color: #eee;
	color: #555;
	padding-bottom: .25rem;
}

/*override default bg color and font color for nav-pills*/
/*unselected tab [][][X]*/
.nav-pills .nav-link { /*> .nav-link {*/
	color:#fff;
}


/*link text in right-most sidebar [][][X] */
.col-sidebar-nav-link-text {
	font-size: 9pt; /*alternatively: 0.9vw*/
	margin-top: -4px;
	width:5vw;
}

/*link text in right-most sidebar [][][X] */
.col-sidebar-nav-link-text .nav-link.active {
	font-size: 9pt; /*alternatively: 0.9vw*/
	margin-top: -4px;
	width:5vw;
	/*color:#222;*/
}

/*custom, smaller buttons*/
.btn-sm {
	padding-bottom: 3px;
    border-width: 0px;
}

.btn-x-sm {
	padding-bottom: 0px;
	padding-top:0px;
    border-width: 0px;
}

.btn-sm:hover {
	background-color: #79c6ae;
}

.btn-object-close {
	top: 2vh;
    right: 1.5em;
    position: absolute;
}

.btn-object-close:hover {
	background-color: #e6ebef;
}

.closeSmall {
	float: left;
	font-size: 1.2rem;
	cursor: pointer;
	color:black;
}

.closeSmall:hover {
	color: white;
	}

/*app background colors*/
.bg-accordeon {
	background-color: #fafafa;
}

.bg-accordeon-header {
	background-color: #eee;
}

.bg-color-one{
	background-color: #79c6ae;
}

.bg-color-two{
	background-color: #4D6F91;
}

.bg-color-three{
	background-color: #278ab0;
}

.bg-color-four{
	background-color: #eaeae0;
}

.bg-color-five{
	background-color: #e6ebef;
}

.bg-color-six {
	background-color: #1c4670;
}

.imageGalleryArtistName {
	width: 100%;
	margin-top: 1em;
}

/*infobox styles(general, guided tours) in bottom right corner of 3D panel [X][][]*/
.alertInfoBox {
	position: absolute;
	bottom: 6vh;
	right: 2.5vw;
	opacity: 0.95;
	min-width: 18.5em;
	max-width: 30em;
	z-index:500;
	display: none;
}

.alertInfoBoxTitle {
    font-weight: 400;
	margin-bottom:0.4em;
}

.alertInfoBoxDescription {
    font-size: 10pt;
}

.float-right {
	float: right;
}

.alertInfoBoxIcon {
	min-width: 1.3em;
}

/*overwrite modal header properties*/
.modal-header {
	background-color: #4D6F91;
	color: #fff;
	font-weight: 400;
}

/*modal close button*/
.close {
color: white; 
opacity: 1;
}

.close:hover {
color: white;
}

.mapTooltipCl {
	position: absolute;
	background: white;
	border: 1px solid black;
	padding: 5px;
	white-space: nowrap;
	pointer-events: none;
	z-index: 1000;

  }
  .mapToolTipTextStyle {
	color:#eee;
	font-weight: 600;
	font-size:14px;
	font-family: 'Open Sans', sans-serif;
	/*text-shadow: -1px 1px 0 #000,
				  1px 1px 0 #000,
				 1px -1px 0 #000,
				-1px -1px 0 #000;*/
  }

  /* add some padding to textual artist list, to avoid issues with highlighting map points*/
  .textualListStyle {
	padding: 0px 0px 10px 0px;
  }

  .info-button {
	color: #666
  }